svn commit: r293367 - user/cperciva/freebsd-update-build/scripts

Gleb Smirnoff glebius at FreeBSD.org
Thu Jan 7 21:01:30 UTC 2016


Author: glebius
Date: Thu Jan  7 21:01:28 2016
New Revision: 293367
URL: https://svnweb.freebsd.org/changeset/base/293367

Log:
  Add print-supported.sh to repo.

Added:
  user/cperciva/freebsd-update-build/scripts/print-supported.sh   (contents, props changed)

Added: user/cperciva/freebsd-update-build/scripts/print-supported.sh
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ user/cperciva/freebsd-update-build/scripts/print-supported.sh	Thu Jan  7 21:01:28 2016	(r293367)
@@ -0,0 +1,14 @@
+#!/bin/sh
+
+export TZ=UTC
+now=$(date +%s)
+
+cd /usr/freebsd-update-server || exit 1
+find scripts -type f -name build.conf | while read conf ; do
+	rel=$(expr "$conf" : 'scripts/\([0-9][0-9]*\.[0-9][0-9]*-[A-Z0-9-]*\)/.*')
+	eol=$(. $conf ; echo $EOL)
+	expr "$eol" : '[0-9][0-9]*' >/dev/null || continue
+	[ $eol -gt $now ] || continue
+	p=$(find patches/"$rel" -type f | cut -d/ -f3- | cut -d- -f1 | sort -n | tail -1)
+	echo $(date -j -r $eol +'%Y-%m-%d %H:%M:%S UTC') "$rel${p:+-p$p}"
+done | sort -t" " -k4 -rn


More information about the svn-src-user mailing list